GNU logs - #15355, boring messages


Message sent to bug-parted@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#15355: [PATCH 02/19] tests: test creating 20 device-mapper partitions (#803108)
Resent-From: "Brian C. Lane" <bcl@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-parted@HIDDEN
Resent-Date: Wed, 11 Sep 2013 20:18:02 +0000
Resent-Message-ID: <handler.15355.B.137893065616813 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 15355
X-GNU-PR-Package: parted
X-GNU-PR-Keywords: patch
To: 15355 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-parted@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.137893065616813
          (code B ref -1); Wed, 11 Sep 2013 20:18:02 +0000
Received: (at submit) by debbugs.gnu.org; 11 Sep 2013 20:17:36 +0000
Received: from localhost ([127.0.0.1]:56521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VJqr1-0004N6-4R
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2013 16:17:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46905)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bcl@HIDDEN>) id 1VJqqz-0004Mr-6G
 for submit <at> debbugs.gnu.org; Wed, 11 Sep 2013 16:17:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1VJqqq-0002PX-9Z
 for submit <at> debbugs.gnu.org; Wed, 11 Sep 2013 16:17:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47116)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1VJqqq-0002PH-5v
 for submit <at> debbugs.gnu.org; Wed, 11 Sep 2013 16:17:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48585)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1VJqqm-0003Zk-AP
 for bug-parted@HIDDEN; Wed, 11 Sep 2013 16:17:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1VJqqi-0002Ho-Gc
 for bug-parted@HIDDEN; Wed, 11 Sep 2013 16:17:20 -0400
Received: from neil.brianlane.com ([24.113.37.65]:44100
 helo=lister.brianlane.com) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1VJqqi-0000sS-7F
 for bug-parted@HIDDEN; Wed, 11 Sep 2013 16:17:16 -0400
Received: from lister.brianlane.com (localhost [127.0.0.1])
 by lister.brianlane.com (8.14.7/8.14.7) with ESMTP id r8BJPBQd015282
 for <bug-parted@HIDDEN>; Wed, 11 Sep 2013 12:25:14 -0700
Received: (from bcl@localhost)
 by lister.brianlane.com (8.14.7/8.14.7/Submit) id r8BJPBFB015281
 for bug-parted@HIDDEN; Wed, 11 Sep 2013 12:25:11 -0700
From: "Brian C. Lane" <bcl@HIDDEN>
Date: Wed, 11 Sep 2013 12:24:52 -0700
Message-Id: <1378927509-15215-3-git-send-email-bcl@HIDDEN>
X-Mailer: git-send-email 1.8.3.1
In-Reply-To: <1378927509-15215-1-git-send-email-bcl@HIDDEN>
References: <1378927509-15215-1-git-send-email-bcl@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

From: "Brian C. Lane" <bcl@HIDDEN>

* tests/t6004-dm-many-partitions.sh: Make sure > 17 partitions appear in
  device mapper.
---
 tests/Makefile.am                 |  1 +
 tests/t6004-dm-many-partitions.sh | 60 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)
 create mode 100755 tests/t6004-dm-many-partitions.sh

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 4ec08da..923839d 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -60,6 +60,7 @@ TESTS = \
   t6001-psep.sh \
   t6002-dm-busy.sh \
   t6003-dm-hide.sh \
+  t6004-dm-many-partitions.sh \
   t6100-mdraid-partitions.sh \
   t7000-scripting.sh \
   t8000-loop.sh \
diff --git a/tests/t6004-dm-many-partitions.sh b/tests/t6004-dm-many-partitions.sh
new file mode 100755
index 0000000..4d08e72
--- /dev/null
+++ b/tests/t6004-dm-many-partitions.sh
@@ -0,0 +1,60 @@
+#!/bin/sh
+# device-mapper: create many partitions
+# This would not create partitions > 16 when using device-mapper
+
+# Copyright (C) 2012 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted
+
+require_root_
+(dmsetup --help) > /dev/null 2>&1 || skip_test_ "No dmsetup installed"
+
+ss=$sector_size_
+ns=300
+n_partitions=20
+start_sector=34
+loop_file=loop-file-$$
+dm_name=dm-test-$$
+
+cleanup_() {
+    dmsetup remove $dm_name
+    test -n "$dev" && losetup -d "$dev"
+    rm -f $loop_file;
+}
+
+# create a file large enough to hold a GPT partition table
+dd if=/dev/null of=$loop_file bs=$ss seek=$ns || framework_failure
+dev=$(losetup --show -f $loop_file) || framework_failure
+dmsetup create $dm_name --table "0 $ns linear $dev 0" || framework_failure
+
+cmd=
+for ((i=1; i<=$n_partitions; i+=1)); do
+  s=$((start_sector + i - 1))
+  cmd="$cmd mkpart p$i ${s}s ${s}s"
+done
+parted -m -a min -s /dev/mapper/$dm_name mklabel gpt $cmd > /dev/null 2>&1 || fail=1
+
+# Make sure all the partitions appeared under /dev/mapper/
+for ((i=1; i<=$n_partitions; i+=1)); do
+    if [ ! -e "/dev/mapper/${dm_name}p$i" ]; then
+        fail=1
+        break
+    fi
+    # remove the partitions as we go, otherwise cleanup won't work.
+    dmsetup remove /dev/mapper/${dm_name}p$i
+done
+
+Exit $fail
-- 
1.8.3.1





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: "Brian C. Lane" <bcl@HIDDEN>
Subject: bug#15355: Acknowledgement ([PATCH 02/19] tests: test creating 20
 device-mapper partitions (#803108))
Message-ID: <handler.15355.B.137893065616813.ack <at> debbugs.gnu.org>
References: <1378927509-15215-3-git-send-email-bcl@HIDDEN>
X-Gnu-PR-Message: ack 15355
X-Gnu-PR-Package: parted
X-Gnu-PR-Keywords: patch
Reply-To: 15355 <at> debbugs.gnu.org
Date: Wed, 11 Sep 2013 20:18:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-parted@HIDDEN

If you wish to submit further information on this problem, please
send it to 15355 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
15355: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D15355
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-parted@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#15355: [PATCH 02/19] tests: test creating 20 device-mapper partitions (#803108)
Resent-From: Phillip Susi <psusi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-parted@HIDDEN
Resent-Date: Fri, 28 Feb 2014 18:23:02 +0000
Resent-Message-ID: <handler.15355.B15355.13936117522367 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 15355
X-GNU-PR-Package: parted
X-GNU-PR-Keywords: patch
To: "Brian C. Lane" <bcl@HIDDEN>, 15355 <at> debbugs.gnu.org
Received: via spool by 15355-submit <at> debbugs.gnu.org id=B15355.13936117522367
          (code B ref 15355); Fri, 28 Feb 2014 18:23:02 +0000
Received: (at 15355) by debbugs.gnu.org; 28 Feb 2014 18:22:32 +0000
Received: from localhost ([127.0.0.1]:44876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJS4u-0000c7-6t
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 13:22:32 -0500
Received: from cdptpa-omtalb.mail.rr.com ([75.180.132.120]:49622)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <psusi@HIDDEN>) id 1WJS4s-0000by-0R
 for 15355 <at> debbugs.gnu.org; Fri, 28 Feb 2014 13:22:30 -0500
X-Authority-Analysis: v=2.0 cv=H69ZMpki c=1 sm=0 a=/DbS/tiKggfTkRRHPZEB4g==:17
 a=JipEcVzqA9wA:10 a=qghpSnwtPSQA:10 a=S1A5HrydsesA:10 a=Qsx_du5GiBkA:10
 a=8nJEP1OIZ-IA:10 a=fxJcL_dCAAAA:8 a=KGjhK52YXX0A:10 a=2M2xUDUGeZIA:10
 a=20KFwNOVAAAA:8 a=QfKxxUxMAAAA:8 a=G8-C97h9jPgqdeeRw94A:9 a=wPNLvfGTeEIA:10
 a=jEp0ucaQiEUA:10 a=/DbS/tiKggfTkRRHPZEB4g==:117
X-Cloudmark-Score: 0
X-Authenticated-User: 
X-Originating-IP: 67.78.168.186
Received: from [67.78.168.186] ([67.78.168.186:49934] helo=[10.1.1.236])
 by cdptpa-oedge04.mail.rr.com (envelope-from <psusi@HIDDEN>)
 (ecelerity 2.2.3.46 r()) with ESMTP
 id BB/16-11872-3E3D0135; Fri, 28 Feb 2014 18:22:28 +0000
Message-ID: <5310D3E4.3090907@HIDDEN>
Date: Fri, 28 Feb 2014 13:22:28 -0500
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1;
 rv:24.0) Gecko/20100101 Thunderbird/24.3.0
MIME-Version: 1.0
References: <1378927509-15215-1-git-send-email-bcl@HIDDEN>
 <1378927509-15215-3-git-send-email-bcl@HIDDEN>
In-Reply-To: <1378927509-15215-3-git-send-email-bcl@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 9/11/2013 3:24 PM, Brian C. Lane wrote:
> From: "Brian C. Lane" <bcl@HIDDEN>
> 
> * tests/t6004-dm-many-partitions.sh: Make sure > 17 partitions
> appear in device mapper.

Where was this actually fixed?


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJTENPkAAoJEI5FoCIzSKrwJBoH/RoZRxGp4FNBAiVdk8SE9aJL
QUSX94Sz2driuhahM0xSK+6DkPvy/EP5Vn25dyIi/4m1yyLePYyoG/yf1pvcKBqJ
NgjaNjN3M2k8fJvJZS+A8PVdQT71YiyXJeP9iSjjZwM1AE9TsoY37TMlAMUX3pk9
xPRM2H3Ag473Qjz/j+5V1/iydaVDPrGoXl+DVrupF3sFnoAboTBfaJ9k7oPj2Faj
ODVm8p1wnEamjPv5CzbLlQ4v4m0oEThBOBdM4h3xVsXve2Ri1BFsRX5YW80HvpB7
ZVhPdSBQKlNsZv3FAd+a8V2gVgd0udxvbMhqYP9Xhe2oChVa+7JUWsH+07u/ybA=
=aq+c
-----END PGP SIGNATURE-----




Message sent to bug-parted@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#15355: [PATCH 02/19] tests: test creating 20 device-mapper partitions (#803108)
Resent-From: "Brian C. Lane" <bcl@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-parted@HIDDEN
Resent-Date: Fri, 28 Feb 2014 19:28:02 +0000
Resent-Message-ID: <handler.15355.B15355.13936156399324 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 15355
X-GNU-PR-Package: parted
X-GNU-PR-Keywords: patch
To: Phillip Susi <psusi@HIDDEN>
Cc: 15355 <at> debbugs.gnu.org
Received: via spool by 15355-submit <at> debbugs.gnu.org id=B15355.13936156399324
          (code B ref 15355); Fri, 28 Feb 2014 19:28:02 +0000
Received: (at 15355) by debbugs.gnu.org; 28 Feb 2014 19:27:19 +0000
Received: from localhost ([127.0.0.1]:44963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJT5b-0002QK-9y
	for submit <at> debbugs.gnu.org; Fri, 28 Feb 2014 14:27:19 -0500
Received: from mx1.redhat.com ([209.132.183.28]:3803)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bcl@HIDDEN>) id 1WJT5X-0002Q9-T3
 for 15355 <at> debbugs.gnu.org; Fri, 28 Feb 2014 14:27:17 -0500
Received: from int-mx12.intmail.prod.int.phx2.redhat.com
 (int-mx12.intmail.prod.int.phx2.redhat.com [10.5.11.25])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id s1SJRElM029074
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 28 Feb 2014 14:27:14 -0500
Received: from lister.brianlane.com (ovpn-113-141.phx2.redhat.com
 [10.3.113.141])
 by int-mx12.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 s1SJRBOG011607
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO);
 Fri, 28 Feb 2014 14:27:13 -0500
Date: Fri, 28 Feb 2014 11:27:03 -0800
From: "Brian C. Lane" <bcl@HIDDEN>
Message-ID: <20140228192703.GG12066@HIDDEN>
References: <1378927509-15215-1-git-send-email-bcl@HIDDEN>
 <1378927509-15215-3-git-send-email-bcl@HIDDEN>
 <5310D3E4.3090907@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <5310D3E4.3090907@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.25
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Fri, Feb 28, 2014 at 01:22:28PM -0500, Phillip Susi wrote:
> On 9/11/2013 3:24 PM, Brian C. Lane wrote:
> > From: "Brian C. Lane" <bcl@HIDDEN>
> > 
> > * tests/t6004-dm-many-partitions.sh: Make sure > 17 partitions
> > appear in device mapper.
> 
> Where was this actually fixed?

It was fixed in _dm_reread_part_table which your dm refactor removed
(commit f0c0d53f99).

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)





Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.